// bncView.h : interface of the CBncView class
//
/////////////////////////////////////////////////////////////////////////////

class CBncView : public CView
{
protected: // create from serialization only
	CBncView();
	DECLARE_DYNCREATE(CBncView)

// Attributes
public:
	void MakeNewBall();
	void ChangeSpeed();
	CBncDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBncView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBncView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBncView)
	afx_msg void OnColor();
	afx_msg void OnUpdateColor(CCmdUI* pCmdUI);
	afx_msg void OnCustomColor();
	afx_msg void OnSlow();
	afx_msg void OnUpdateSlow(CCmdUI* pCmdUI);
	afx_msg void OnFast();
	afx_msg void OnUpdateFast(CCmdUI* pCmdUI);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in bncView.cpp
inline CBncDoc* CBncView::GetDocument()
   { return (CBncDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
